Skip to main content
PATCH
/
v0
/
project
/
{project_name}
/
contexts
/
{context_name}
/
rename
curl --request PATCH \
  --url 'https://api.unify.ai/v0/project/<project_name>/contexts/<context_name>/rename?include_children=None' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{
    "name": "experiment2/trial3"
}'
{
    "info": "Context renamed successfully!"
}
Rename an existing context within a project.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_name
string
required
context_name
string
required

Query Parameters

include_children
boolean
default:"true"
Whether to rename child contexts (which share the same ’/’ separated prefix). When True, renaming ‘A’ to ‘E’ will also rename ‘A/B/C’ to ‘E/B/C’, ‘A/B/D’ to ‘E/B/D’, etc.

Body

name
string
required
New name for the context, must meet naming rules
curl --request PATCH \
  --url 'https://api.unify.ai/v0/project/<project_name>/contexts/<context_name>/rename?include_children=None' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{
    "name": "experiment2/trial3"
}'
{
    "info": "Context renamed successfully!"
}